Name: zgv
Version: 5.9
Release: alt1

Summary: A vga viewer for many different image formats.
License: GPL
ExclusiveArch: %ix86
Group: Graphics
Url: http://www.svgalib.org/zgv/

Source: ftp://metalab.unc.edu/pub/Linux/apps/graphics/viewers/svga/%name-%version.tar.bz2
Patch1: %name-5.9-config.patch
Patch2: %name-5.9-texinfo.patch

# Automatically added by buildreq on Sat Jun 18 2005
BuildRequires: libjpeg-devel libpng-devel libtiff-devel svgalib-devel zlib-devel

%description
Zgv is an image viewer which can display graphics in GIF, JPEG/JFIF,
PNG, PBM/PGM/PPM, BMP, TGA, PCX and MRF formats on VGA and SVGA displays.
Zgv can also display thumbnails of the images.  Zgv is based on svgalib,
which you will need to have on your system in order to use zgv.

Install zgv if you need vga image viewer.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
%make_build "RPM_OPT_FLAGS=$RPM_OPT_FLAGS" \
	    INFO_DIR_UPDATE=no RCFILE=%_sysconfdir/%name.conf \
	    info src man

%install
%__mkdir_p %buildroot{%_bindir,%_man1dir,%_infodir}
%makeinstall \
	PREFIX=%buildroot%_prefix \
	MANDIR=%buildroot%_man1dir \
	INFODIR=%buildroot%_infodir INFO_DIR_UPDATE=no

%post
%install_info %name.info

%preun
%uninstall_info %name.info

%files
%_bindir/*
%_man1dir/*
%_infodir/%name.info*
%doc AUTHORS ChangeLog COPYING NEWS README SECURITY TODO doc/sample.zgvrc

%changelog
* Sat Jun 18 2005 LAKostis <lakostis at altlinux.ru> 5.9-alt1
- 5.9.

* Fri Oct 12 2001 Dmitry V. Levin <ldv@altlinux.ru> 5.5-alt1
- 5.5

* Mon Aug 20 2001 Konstantin Volckov <goldhead@altlinux.ru> 5.4-alt1
- 5.4

* Mon Jan 22 2001 Dmitry V. Levin <ldv@fandra.org> 5.3-ipl1mdk
- 5.3
- Fixed texinfo documentation.

* Wed Nov 08 2000 Dmitry V. Levin <ldv@fandra.org> 5.2-ipl1mdk
- 5.2
- Added info.
- RE adaptions.

* Tue Sep 19 2000 glet <gletoquart@mandrakesoft.com>
- rebuilt with all macro definition
- Updated to version 5.1

* Wed Aug 30 2000 Etienne Faure <etienne@mandrakesoft.com> 5.0-4mdk
- rebuilt with _mandir macro

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 5.0-3mdk
- automatically added BuildRequires

* Sat Jun  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.0-2mdk
- Conflicts: kernel-fb

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 5.0-1mdk
- Update to 5.0

* Sun Nov  7 1999 John Buswell <johnb@mandrakesoft.com>
- Added URL
- Updated source url
- Build Release

* Tue Jul  6 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Upgrade spec.
- Upgrade patchs.
- 3.3. version.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Mon Mar 29 1999 Bill Nottingham <notting@redhat.com>
- security fixes from Chris Evans

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 7)

* Mon Dec 21 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Apr 20 1998 Erik Troan <ewt@redhat.com>
- updated to version 3.0

* Tue Oct 21 1997 Michael Fulbright <msf@redhat.com>
- updated spec file and upgraded to version 2.8

* Wed Oct 15 1997 Erik Troan <ewt@redhat.com>
- build against new libpng

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
